<?php  

	function comparar($actual,$nuevo)
	{
		$cambios = "Campos: ";
		$atributos="";
		$datosActuales = "";
		$datosNuevos = "";
		foreach ($actual as $key => $value) 
		{
			$atributos .= $key."|";
			$datosActuales .= $value."|";
		}

		foreach ($nuevo as $key => $value) 
		{
			$datosNuevos .= $value."|";
		}

		$datosActuales = trim($datosActuales,'|');
		$datosNuevos = trim($datosNuevos,'|');
		$atributos = trim($atributos,'|');

		$array_actuales = explode('|', $datosActuales);
		$array_nuevos = explode('|', $datosNuevos);
		$array_atributos = explode('|', $atributos);

		for($i=0;$i<sizeof($array_atributos);$i++)
		{
			if($array_actuales[$i]!=$array_nuevos[$i])
			{
				if($array_atributos[$i]!="password" && $array_atributos[$i]!="logo"&& $array_atributos[$i]!="clave")
				{
					$cambios .= $array_atributos[$i].":".$array_actuales[$i].">".$array_nuevos[$i].";";
				}
				else
				if($array_atributos[$i]=="logo")
				{
					$cambios .= $array_atributos[$i].":logo>logo;";
				}
				else
				{
					$cambios .= $array_atributos[$i].":******>******;";
				}
				
			}
		}

		return trim($cambios,';');
	}

?>